Subject: Re: [bitcoin-dev] Inquiry: Transaction Tiering

From: Martin Stolze <[email-masked]>
Date: Mon, 27 Mar 2017 18:18:22 +0100

Yes, the terminology is creating a lot of confusion. I would be happy to
contribute to a discourse that helps to clear up the ambiguities and
cringeworthiness of current "standardized terminology".
Robert Keagen developed a perspective on psychological development [1] and
it appears to me that Stage 2 and 3 (miner, cash, network upgrade, ...) is
discussing with Stage 4 (hash power, settlement, fork, ...).

"Miner" is not wrong, just not helpful if you try to gauge the deeper
complexities of Bitcoin. Likewise, "money" is not wrong if you explain it
to a child, while credit and debt is much more useful if you want to gauge
the deeper complexities of economics.

still, any form forking has dilutive effect on existing BTC holders.

Not at all, I sleep sound and anticipate any such event as an ugly scrip
dividend.

Regards
Martin

[1] https://en.wikipedia.org/wiki/Robert_Kegan#In_Over_Our_Heads

On Sun, Mar 26, 2017 at 1:11 PM, greg misiorek <[email-masked]>
wrote:

> agreed, the 'miner' term has run its course and plays a different role
> than it was originally set out to do, esp its original distributed nature.
> the 'mining business' has become concentrated too much and resembles
> today's financial institutions or simply banks, imho.
>
>
> still, any form forking has dilutive effect on existing BTC holders.
>
>
> thx, gm
> ------------------------------
> *From:* [email-masked] <
> [email-masked]> on behalf of Martin Stolze
> via bitcoin-dev <[email-masked]>
> *Sent:* Saturday, March 25, 2017 1:15 PM
> *To:* praxeology_guy
> *Cc:* [email-masked]
>
> *Subject:* Re: [bitcoin-dev] Inquiry: Transaction Tiering
>
> Thanks, those are valid concerns.
>
> > Potentially miners could create their own private communication
> channel/listening port for submitting transactions that they would not
> relay to other miners/the public node relay network.
> That is the idea. Transaction Processors could source transactions
> from the public mempool as well their proprietary mempool(s).
>
> > Miners would be incentivized to not relay higher fee transactions,
> because they would want to keep them to themselves for higher profits.
> Not so, a user may want to incentivise a specific Transaction
> Processor or many. A user can detect this behavior and withdraw his
> future business if he notices that his transaction is not included in
> a block despite there being transactions with lower fees included.
> Remember, the transaction can be advertised to different mempools and
> a Transaction Processor could lose this business to a competitor who
> processes the next block if he holds it back.
>
> Best Regards
> Martin
>
> PS: It seems not too late to get rid of misleading terms like "miner".
> Block rewards (infrastructure subsidies) will be neglectable for
> future generations and the analogy is exceedingly poor.
>
> On Sat, Mar 25, 2017 at 4:42 AM, praxeology_guy
> <[email-masked]> wrote:
> > Potentially miners could create their own private communication
> > channel/listening port for submitting transactions that they would not
> relay
> > to other miners/the public node relay network.  Users could then chose
> who
> > they want to relay to.  Miners would be incentivized to not relay higher
> fee
> > transactions, because they would want to keep them to themselves for
> higher
> > profits.
> >
> > Cheers,
> > Praxeology Guy
> >
> >
> > -------- Original Message --------
> > Subject: Re: [bitcoin-dev] Inquiry: Transaction Tiering
> > Local Time: March 22, 2017 12:48 PM
> > UTC Time: March 22, 2017 5:48 PM
> > From: [email-masked]
> > To: [email-masked]
> >
> > Hi Tim,
> > After writing this I figured that it was probably not evident at first
> > sight as the concept may be quite novel. The physical location of the
> > "miner" is indeed irrelevant, I am referring to the digital location.
> > Bitcoins blockchain is a digital location or better digital "space".
> > As far as I am concerned the authority lies with whoever governs this
> > particular block space. A "miner" can, or can not, include my
> > transaction.
> >
> > To make this more understandable:
> >
> > Abu Bakr al-Baghdadi can extend his caliphate into Bitcoins block
> > space and rule sovereign(!) over a given block. If he processes my
> > transaction my fee goes directly into the coffers of his organization.
> > The same goes for the Queen of England or the Emperor of China. My
> > interest is not necessarily aligned with each specific authority, yet
> > as you point out, I can only not use Bitcoin.
> > Alternatively, however, I can very well sign my transaction and send
> > it to an authority of my choosing to be included into the ledger, say
> > BitFurry. - This is what I describe in option 1.
> >
> > In order to protect my interest I do need to choose, maybe not today,
> > but eventually.
> >
> > I also think that people do care who processes transactions and a lot
> > of bickering could be spared if we could choose.
> >
> > If we assume a perfectly competitive market with 3 authorities that
> > govern the block space equally, the marginal cost of 1/3 of the block
> > space is the same for each, however, the marginal revenue absent of
> > block rewards is dependent on fees.
> > If people are willing to pay only a zero fee to a specific authority
> > while a fee greater than zero to the others it's clear that one would
> > be less competitive.
> >
> > Let us assume the fees are 10% of the revenue and the cost is 95 we
> > have currently the following situation:
> >
> > A: Cost=95; Revenue=100; Profit=5
> > B: Cost=95; Revenue=100; Profit=5
> > C: Cost=95; Revenue=100; Profit=5
> >
> > With transaction tiering, the outcome could be different!
> >
> > A: Cost=95; Revenue=90; Loss=5 // BSA that does not respect user
> interest.
> > B: Cost=95; Revenue=105; Profit=10
> > C: Cost=95; Revenue=105; Profit=10
> >
> > This could motivate transaction processors to behave in accordance
> > with user interest, or am I missing something?
> >
> > Best Regards,
> > Martin
> >
> >> From: Tim Ruffing <[email-masked]>
> >> To: [email-masked]
> >> Cc:
> >> Bcc:
> >> Date: Tue, 21 Mar 2017 16:18:26 +0100
> >> Subject: Re: [bitcoin-dev] Inquiry: Transaction Tiering
> >> (I'm not a lawyer...)
> >>
> >> I'm not sure if I can make sense of your email.
> >>
> >> On Mon, 2017-03-20 at 20:12 +0000, Martin Stolze via bitcoin-dev wrote:
> >>> As a participant in the economy in general and of Bitcoin in
> >>> particular, I desire an ability to decide where I transact. The
> >>> current state of Bitcoin does not allow me to choose my place of
> >>> business. As a consequence, I try to learn what would be the best way
> >>> to conduct my business in good faith. [2]
> >>
> >> Ignoring the rest, I don't think that the physical location /
> >> jurisdiction of the miner has any legal implications for law applicable
> >> to the relationship between sender and receiver of a payment.
> >>
> >> This is not particular to Bitcoin. We're both in Germany (I guess).
> >> Assume we have a contract without specific agreements and I pay you in
> >> Icelandic kronur via PayPal (in Luxembourg) and my HTTPS requests to
> >> PayPal went via Australia and the US. Then German law applies to our
> >> contract, nothing in the middle can change that.
> >>
> >> Also ignoring possible security implications, there is just no need for
> >> a mechanism that enables users to select miners. I claim that almost
> >> nobody cares who will mine a transaction, because it makes no technical
> >> difference. If you don't want a specific miner to mine your
> >> transaction, then don't use Bitcoin.
> >>
> >> Tim
> > _______________________________________________
> > bitcoin-dev mailing list
> > [email-masked]
> > https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
> bitcoin-dev -- Bitcoin Protocol Discussion - Linux Foundation
> <https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev>
> lists.linuxfoundation.org
> Bitcoin development and protocol discussion. This list is lightly
> moderated. - No offensive posts, no personal attacks. - Posts must concern
> development of bitcoin ...
>
>
> >
> >
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
> bitcoin-dev -- Bitcoin Protocol Discussion - Linux Foundation
> <https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev>
> lists.linuxfoundation.org
> Bitcoin development and protocol discussion. This list is lightly
> moderated. - No offensive posts, no personal attacks. - Posts must concern
> development of bitcoin ...
>
>
>